| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iObjectRegistryIterator Struct Reference
[Shared Class Facility (SCF)]

Use an instance of this class to iterate over objects in the object registry. More...

`#include <iutil/objreg.h>`

Inheritance diagram for iObjectRegistryIterator:

[legend]
List of all members.

## Public Member Functions
virtual const char * | GetCurrentTag ()=0
| Return the current tag.
virtual bool | HasNext ()=0
| Return true if there are more elements.
virtual iBase * | Next ()=0
| Proceed with next element.
virtual bool | Reset ()=0
| Restart the iterator.

## Detailed Description

Use an instance of this class to iterate over objects in the object registry.

Definition at line 130 of file objreg.h.

## Member Function Documentation

virtual const char* iObjectRegistryIterator::GetCurrentTag | ( |  | ) | `[pure virtual]`

Return the current tag.

virtual bool iObjectRegistryIterator::HasNext | ( |  | ) | `[pure virtual]`

Return true if there are more elements.

virtual iBase* iObjectRegistryIterator::Next | ( |  | ) | `[pure virtual]`

Proceed with next element.

Return the element is there is one.

virtual bool iObjectRegistryIterator::Reset | ( |  | ) | `[pure virtual]`

Restart the iterator.

Returns false if there are no ellements in it.

The documentation for this struct was generated from the following file:

- iutil/objreg.h